<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "NORMAL_VIDEO_60FPS parent rule: ZOOM[1.0-3.0x)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "3.0"/>
        <outState>
            <camera name = "wide" prev = "true" stage = "binning"/>
        </outState>
    </rule>

  <rule name = "NORMAL_VIDEO_60FPS rule: ZOOM[3.0-10.0x)">
        <condition name = "ZOOM_RATIO" min = "3.0" max = "10.1"/>
        <outState>
            <camera name = "tele" prev = "true" stage = "binning"/>
        </outState>

        <rule name = "NORMAL_VIDEO_60FPS rule: ZOOM[3.0-10.0x) short distance">
            <condition name = "ZOOM_RATIO" min = "3.0" max = "10.1"/>
            <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "0"/>
            <condition name = "OBJECT_DISTANCE" min = "0.0" max = "400.0" hysteresis_max = "200.0"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "binning"/>
            </outState>

            <rule name = "NORMAL_VIDEO_60FPS child rule : ZOOM[3.0-10.0x)  short distance dual streams">
                <condition name = "DISTANCE_CHANGE" value = "1"/>
                <outState>
                    <camera name = "wide" prev = "true" stage = "binning"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
        </rule>

        <rule name = "NORMAL_VIDEO_60FPS rule: ZOOM[3.0-10.0x) long distance">
            <condition name = "ZOOM_RATIO" min = "3.0" max = "10.1"/>
            <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "0"/>
            <condition name = "OBJECT_DISTANCE" min = "600.0" max = "9999.0" hysteresis_max = "200.0"/>
            <outState>
                <camera name = "tele" prev = "true" stage = "binning"/>
            </outState>

            <rule name = "NORMAL_VIDEO_60FPS child rule : ZOOM[3.0-10.0x)  long distance dual streams">
                <condition name = "DISTANCE_CHANGE" value = "1"/>
                <outState>
                    <camera name = "tele" prev = "true" stage = "binning"/>
                    <camera name = "wide"/>
                </outState>
            </rule>
        </rule>

        <rule name = "NORMAL_VIDEO_60FPS rule: ZOOM[3.0-10.0x) low brightness">
            <condition name = "ZOOM_RATIO" min = "3.0" max = "10.1"/>
            <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "1"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "binning"/>
            </outState>
        </rule>
    </rule>
</MultiCameraConfigTable>
